%define LANG cs
%define version 0.12
%define release 3mk

Summary: Czech Linux Manual Pages
Summary(cs): esk manulov strnky
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: Documentation
Source: ftp://ftp.inet.cz/pub/People/Pavel.Janik/CeskeManualoveStranky/man-pages-cs-%{version}.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.gif
Buildroot: /var/tmp/%{name}
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
This package contains Linux man pages in Czech.

%description -l cs
Spousta informac v etin o pkazech, souborech a jejich formtech, ...

%prep
%setup -n man-pages-cs-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/%{LANG}/
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -avrf man$i $RPM_BUILD_ROOT/usr/man/%{LANG}/
done

find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;

mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
	$RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG} \
	$RPM_BUILD_ROOT/usr/man/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/local/sbin/makewhatis.%{LANG} /usr/man/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /usr/man/%{LANG}
   if [ ! -d /usr/man/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -r $RPM_BUILD_ROOT

%files
%doc README* man-pages-* CONTRIB
%defattr(0644,root,man,2755)
%dir /usr/man/%{LANG}
/usr/man/%{LANG}/man*
%ghost /usr/man/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/local/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted the rpm package of Pavel Janik to Mandrake

